spring:
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB
  cloud:
    inetutils:
      preferred-networks:
        - 192.168
    consul:
      discovery:
        hostname: 172.24.50.53
        prefer-ip-address: false
  jms:
    pub-sub-domain: true
  artemis:
    mode: native  # cluster native EMBEDDED
    broker-url: tcp://172.24.50.53:61616?connectionTimeout=6000
    user: admin
    password: admin123
  data:
    mongodb:
      uri: mongodb://root:8756mongo2024@172.24.50.53:27017,172.24.50.53:27018,172.24.50.53:27019/fullcard?authSource=admin
      auto-index-creation: true
    redis:
      host: 172.24.50.53
      port: 6379
      password: 8756redis2024
      database: 7
      timeout: 5000
      lettuce:
        pool:
          max-active: 32 # 最大连接
          max-idle: 16   # 最大空闲连接
          min-idle: 8   # 最小空闲连接
          max-wait: 100ms # 连接等待时间

# c端的小程序配置 （学生端）
cwechat:
  appid: wx92ae04fb0f325887
  secret: 09c789bfa6d6b66362c0794468a4470a

# 商户端的小程序配置
swechat:
  appid: wxf7de63b45c8e7ac6
  secret: 0a3e319df0c43eb4351f95884399f741

# 网关的地址
gateWay:
  host: http://172.24.50.53:8080


# 是否开启openAPI签名验证
openapi:
  initRegister: false

quest:
  psd: zs123abc

springdoc:
  api-docs:
    # 是否开启接口文档
    enabled: true
  swagger-ui:
    # 持久化认证数据，如果设置为 true，它会保留授权数据并且不会在浏览器关闭/刷新时丢失
    persistAuthorization: true

oAuth:
  clientId: test
  clientSecret: 123456

# 阿里云OSS
oss:
  maxCacheMinutes: 10
  maxCacheCount: 100
  _other:
    host: https://oss.dev.zonelife.cn/
  _type: ALiObjectStorage
  endpoint: oss-cn-chengdu.aliyuncs.com
  bucket: zswl-dev
  accessKeyId: LTAI5tCvJccdHK17R4kYrLgy
  accessKeySecret: Vbt3NiZfi6f47vU8QcfqQIsjiFo6vH
  arn: acs:ram::1540890773231210:role/oss

# 物联网平台的配置
iotcenter:
  url: http://172.24.50.53:9101
  iotserverName: # 服务名称

#logging:
#  level:
#    org:
#      springframework:
#        web: trace
#debug: true
#trace: true
#    org.springframework.security: trace
logging:
  level:
    com:
      github:
        microservice:
          core:
            runner: debug
dictionary:
  dictionary-list:
    - { key: sys_sex, name: 性别, description: 用户性别, sort: 1, item:[
                                                              { key: Male, name: 男, description: 男, sort: 1 },
                                                              { key: Female, name: 女, description: 女, sort: 2 } ]}
    - { key: sys_user_name, name: 姓名, description: 用户姓名, sort: 2}
    - { key: sys_user_number, name: 公号/学号, description: 公号/学号, sort: 3 }
    - { key: sys_user_certificate, name: 证件, description: 证件号码, sort: 4, item:[
                                                                           { key: IDCard, name: 身份证, description: 身份证号码, sort: 1},
                                                                           { key: Passport, name: 护照, description: 护照号码, sort: 2}]}
    - { key: sys_user_org, name: 机构, description: 机构, sort: 5 }
    - { key: sys_user_type, name: 人员类型, description: 人员类型, sort: 6, item:[
                                                                      {key: Consumer, name: 普通用户, description: 普通用户, sort: 1},
                                                                      {key: Platform, name: 平台用户, description: 平台用户, sort: 2},
                                                                      {key: Student, name: 学生, description: 学生, sort: 3},
                                                                      {key: Teacher, name: 老师, description: 老师, sort: 4},
                                                                      {key: ConsumerUser, name: c端用户, description: c端用户, sort: 5},
                                                                      {key: SuperAdmin, name: 超级管理员用户, description: 超级管理员用户, sort: 6}]}
    - { key: sys_user_status, name: 人员状态, description: 人员状态, sort: 7,item:[
                                                                       {key: Normal, name: 正常, description: 正常, sort: 1},
                                                                       {key: Locked, name: 禁用, description: 禁用, sort: 2}]}
    - { key: sys_card_number, name: 卡号, description: 卡号, sort: 8 }
    - { key: sys_card_type, name: 卡片类型, description: 卡片类型, sort: 9, item:[
                                                                      {key: SevenCard, name: 七芯卡, description: 七芯卡, sort: 1},
                                                                      {key: SuperSIM, name: 超级SIM卡, description: 超级SIM卡, sort: 2},
                                                                      {key: IC, name: IC卡, description: IC卡, sort: 3}]}
    - { key: sys_card_status, name: 卡片状态, description: 卡片状态, sort: 10, item:[
                                                                         {key: Enable, name: 正常, description: 正常, sort: 1},
                                                                         {key: Lock, name: 已锁定, description: 已锁定, sort: 2},
                                                                         {key: Loss, name: 已挂失, description: 已挂失, sort: 3}]}
    - { key: sys_org_number, name: 机构编号, description: 机构编号, sort: 11 }
    - { key: sys_org_name, name: 机构名称, description: 机构名称, sort: 12 }
    - { key: sys_org_type, name: 机构类型, description: 机构类型, sort: 13, item:[
                                                                      {key: User, name: 用户, description: 用户, sort: 1},
                                                                      {key: Platform, name: 平台, description: 平台, sort: 2},
                                                                      {key: Enterprise, name: 企业, description: 企业, sort: 3},
                                                                      {key: Project, name: 项目, description: 项目, sort: 4},
                                                                      {key: School, name: 学校, description: 学校, sort: 5},
                                                                      {key: Shop, name: 店铺, description: 店铺, sort: 6},
                                                                      {key: BusinessMain, name: 供应商, description: 供应商, sort: 7},
                                                                      {key: CommonOrg, name: 通用机构, description: 通用机构, sort: 8}]}
    - { key: sys_org_status, name: 机构状态, description: 机构状态, sort: 14, item:[
                                                                        {key: Normal, name: 正常, description: 正常, sort: 1},
                                                                        {key: Locked, name: 禁用, description: 禁用, sort: 2},
                                                                        {key: Frozen, name: 冻结, description: 冻结, sort: 3}]}
    - { key: sys_project_type, name: 项目类型, description: 项目类型, sort: 15, item:[
                                                                          {key: School, name: 学校, description: 学校, sort: 1},
                                                                          {key: Hospital, name: 医院, description: 医院, sort: 2}]}
    - { key: sys_project_status, name: 项目状态, description: 项目状态, sort: 16 }
    - { key: sys_leave_type, name: 请假类型, description: 请假类型, sort: 17, permission:[add], item:[
                                                                              {key: person_leave, name: 事假, description: 事假, sort: 1, permission:[add,disable]},
                                                                              {key: sick_leave, name: 病假, description: 病假, sort: 1, permission:[add,disable]},
                                                                              {key: funeral_leave, name: 丧假, description: 丧假, sort: 1, permission:[add,disable]}]}
    - { key: sys_leave_status, name: 请假审批状态, description: 请假审批状态, sort: 18, item:[
                                                                                 {key: wait, name: 待审核, description: 待审核, sort: 1},
                                                                                 {key: pass, name: 已通过, description: 已通过, sort: 1},
                                                                                 {key: refuse, name: 已拒绝, description: 已拒绝, sort: 1}]}
